> For the complete documentation index, see [llms.txt](https://developers.rewardful.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.rewardful.com/rest-api/affiliates/object.md).

# The affiliate object

```javascript
{
  "id": "d0ed8392-8880-4f39-8715-60230f9eceab",
  "created_at": "2019-05-09T16:18:59.920Z",
  "updated_at": "2019-05-09T16:25:42.614Z",
  "first_name": "Adam",
  "last_name": "Jones",
  "email": "adam.jones@example.com",
  "paypal_email": null,
  "state": "active",
  "stripe_customer_id": "cus_ABCDEF123456",
  "stripe_account_id": "acct_ABCDEF123456",
  "visitors": 100,
  "leads": 42,
  "conversions": 18,
  "campaign": {
    "id": "a638ebe4-291d-47cd-a1dc-1519f9331bbd",
    "created_at": "2019-04-27T18:13:13.123Z",
    "updated_at": "2019-05-05T20:58:24.200Z",
    "name": "Best Friends of Kyle"
  },
  "links": [
    {
      "id": "eb844960-6c42-4a3b-8009-f588a42d8506",
      "url": "http://www.example.com/?via=adam",
      "token": "adam",
      "visitors": 100,
      "leads": 42,
      "conversions": 18,
    }
  ], 
  "coupon": {
   "id": "75434e84-255b-4314-a278-820df5e76813",
   "external_id": "promo_1a2b3c",
   "token": "CODE",
   "leads": 0,
   "conversions": 0,
   "affiliate_id": "95d48f70-f1d4-42d9-b929-21996b6d9eb4"
  }
}
```

## Attributes

| Name           | Data Type | Description                                                                                                             |
| -------------- | --------- | ----------------------------------------------------------------------------------------------------------------------- |
| `id`           | `string`  | Unique identifier for the affiliate.                                                                                    |
| `created_at`   | `string`  | Time at which the affiliate was created.                                                                                |
| `updated_at`   | `string`  | Time at which the affiliate was last updated.                                                                           |
| `first_name`   | `string`  | The affiliate's first name.                                                                                             |
| `last_name`    | `string`  | The affiliate's last name.                                                                                              |
| `email`        | `string`  | The affiliate's email address name.                                                                                     |
| `paypal_email` | `string`  | The affiliate's preferred [PayPal](https://www.paypal.com) email address, if different than `email` (otherwise `null`). |
| `wise_email`   | string    | The affiliate's preferred [Wise](https://wise.com) email address, if different than `email` (otherwise `null`).         |
| `state`        | `string`  | The affiliate's current state.                                                                                          |
| `visitors`     | `string`  | The total number of unique visitors attributes to this affiliate.                                                       |
| `leads`        | `string`  | The total number of leads (anonymous visitors who became customers) attributed to this affiliate.                       |
| `conversions`  | `string`  | The total number of conversions (leads who have made at least one payment) attributed to this affiliate.                |
| `campaign`     | `object`  | A campaign object representing the campaign this affiliate belongs to.                                                  |
| `links`        | `array`   | An array of link objects representing the affiliate's links.                                                            |
| `coupon`       | `object`  | A coupon object representing the affiliate's coupon.                                                                    |

### **Additional attributes for customer referrers**

These attributes only apply to affiliates who are members of a customer referral program.

| Name                 | Data Type | Description                                                                                                                                          |
| -------------------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| `stripe_customer_id` | `string`  | Represents the Stripe Customer associated with this affiliate. This is the Stripe Customer that will receive rewards in the form of account credits. |
| `stripe_account_id`  | `string`  | The Stripe Account that contains the customer represented by `stripe_customer_id`.                                                                   |

## State

Affiliates have a `state` attribute that can be one of the following values:

* `active` (default)
* `disabled`
* `suspicious`

Disabled and Suspicious affiliates will not have visitors/leads/conversions tracked, cannot earn new commissions, and cannot login to the affiliate dashboard.

**Related Help Center Articles**

* [How to disable affiliate accounts](https://help.getrewardful.com/en/articles/5146950-how-to-disable-affiliate-accounts)
* [Dealing with suspicious affiliates](https://help.getrewardful.com/en/articles/5181412-dealing-with-suspicious-affiliates)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.rewardful.com/rest-api/affiliates/object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
